<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author dumar.penuela
@description Pantalla que presenta el detalle de un predio bloqueado

@param updateStringParam datos de actualización de padre para previsualización de documentos
@param  dialogWVParam  valor del atributo widgetVar que abre esta ventana

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" >


    <h:form id="detallePredioBloqueoDesbForm" >

        <p:spacer height="5" width="0" />
        <p:fieldset >         
            <h:panelGrid columns="1" cellspacing="0">
                <p:spacer height="3" width="0" />

                <h:panelGrid columns="4" cellspacing="0" cellpadding="5">
                    <h:outputLabel value="Tipo marcación:" styleClass="outputLabelStyle" />
                    <h:outputText  value="#{consultaDatosUbicacionPredio.predioseleccionado.tipoDesbloqueo}" />
                    <p:spacer height="1" width="10" />
                    <h:panelGroup>
                        <h:selectBooleanCheckbox   
                            value="#{consultaDatosUbicacionPredio.predioseleccionado.restitucionTierrasDesbloqueo  eq 'SI' ? 'true' : 'false'}"  disabled="true"/>                               
                        <h:outputLabel value="Restitución de Tierras" styleClass="outputLabelStyle" />
                    </h:panelGroup>

                    <h:panelGroup>
                        <h:outputLabel value="Fecha Envío" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>                                     
                    <h:outputText value="#{consultaDatosUbicacionPredio.predioseleccionado.fechaEnvioDesbloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>

                    <h:outputLabel value="Fecha Recibido" styleClass="outputLabelStyle" />
                    <h:outputText value="#{consultaDatosUbicacionPredio.predioseleccionado.fechaRecibidoDesbloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>

                    <h:outputLabel value="Número Radicación" styleClass="outputLabelStyle" />
                    <h:outputText  value="#{consultaDatosUbicacionPredio.predioseleccionado.numeroRadicacionDesbloqueo}" />

                    <h:outputLabel value="Fecha desmarque" styleClass="outputLabelStyle" />
                    <h:outputText value="#{consultaDatosUbicacionPredio.predioseleccionado.fechaDesbloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>


                </h:panelGrid>


                <p:spacer height="40" width="1" />
                <p:fieldset >

                    <h:outputLabel value="Entidad Ordena el desmarque  " styleClass="legendTitle" />                          
                    <p:spacer height="20" width="7" />
                    <h:panelGrid columns="4" cellspacing="0" cellpadding="5">

                        <h:panelGroup>
                            <h:outputLabel value="Departamento" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>                          
                        <h:outputText  value="#{consultaDatosUbicacionPredio.predioseleccionado.departamentoDesbloqueo.nombre}" />
                        <h:panelGroup>
                            <h:outputLabel value="Municipio" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>                          
                        <h:outputText  value="#{consultaDatosUbicacionPredio.predioseleccionado.municipioDesbloqueo.nombre}" />

                        <h:panelGroup>
                            <h:outputLabel value="Entidad" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>                          
                        <h:outputText  value="#{consultaDatosUbicacionPredio.predioseleccionado.entidadDesbloqueo.nombre}" />

                        <p:spacer height="0" width="1" />
                        <p:spacer height="0" width="1" />

                    </h:panelGrid>

                </p:fieldset>

                <p:spacer height="20" width="1" />

                <h:panelGroup> 
                    <h:outputLabel value="Documento de soporte: " styleClass="outputLabelStyle" />
                    <p:commandLink
                        value="#{consultaDatosUbicacionPredio.predioseleccionado.documentoSoporteDesbloqueo.archivo}"
                        styleClass="commandLinkStyle"
                        oncomplete="prevDocBWV.show();statusDialog2.hide();"
                        onstart="statusDialog2.show();"
                        rendered="#{not empty consultaDatosUbicacionPredio.predioseleccionado.documentoSoporteDesbloqueo.archivo}"
                        update="#{updateStringParam}:detallesPredioTV:vdBPForm">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{consultaDatosUbicacionPredio.predioseleccionado.documentoSoporteDesbloqueo}" />
                    </p:commandLink>
                </h:panelGroup>  

                <h:panelGroup>
                    <h:outputLabel value="Motivo de la marcación"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                </h:panelGroup>      

                <h:inputTextarea disabled="true" value="#{consultaDatosUbicacionPredio.predioseleccionado.motivoDesbloqueo}" 
                                 label="Motivo de la marcación" required="true" rows="6" cols="115"/>


            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="20" width="1" />
        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" title="Cierra esta ventana" oncomplete="#{dialogWVParam}.hide()"
                             icon="ui-icon-circle-close" />
            <p:spacer height="0" width="30" />
        </p:outputPanel>


    </h:form>

</h:panelGrid>

